Subject: RE: References to XML 'documents'

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 1 Nov 2006 07:40:23 -0500

> -----Original Message-----
> From: Tom.Petch [mailto:[email-masked]] 
> Sent: Tuesday, October 31, 2006 2:38 PM
> To: [email-masked]
> Subject: References to XML 'documents'
> 
> With the increased use of XML, there are increasingly 
> normative references to
> XML 'documents' which include such as
> "May 2001, <http://www.w3.org/TR/xmlschema-1/>. "
> as in eg RFC3470, RFC3688, RFC3735.
> 
> Trouble is, that form of URI picks the latest Edition, which 
> is currently
> October 2004.
> 
> To stay with the May 2001 Edition, the URI should be
> <http://www.w3.org/TR/2001/xmlschema-1-20010502/>.
> which then does not include the errata or minor improvements.
> 
> What is best practice when referring to these XML 'documents'?

In some cases, such as with 3470 and 3688, referring to the most recent
version of an XML specification is probably the better thing to do
because there is no real dependency on a specific version and, in
general, we want people to refer to the current version.  When there is
a specific dependency it makes more sense to cite a specific version.
Yes, that means that the errata etc. aren't automatically included, but
that's pretty much the case when citing an RFC as well.

3735 should probably have cited the May 2001 edition specifically.

I understand that the date attached to the most current version changes
over time, while references and reference dates in our specifications
don't.  That's a risk when using an http URL as a reference.  It might
make sense to address the possibility of that discrepancy somewhere in
the text of any specification that includes a reference to the current
version of a W3C specification.

-Scott-

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Misha Wolf <[email-masked]>
Date: Wed, 01 Nov 2006 13:12:44 +0000

The statements in this thread about errata are incorrect, 
at least as far as W3C specs are concerned.  For example, 
if you go to:

   http://www.w3.org/TR/xinclude/

you will see the text:

   Please refer to the errata for this document, which may 
   include normative corrections.

The word "errata" in the above links to:

   http://www.w3.org/2004/12/xinclude-errata

If you follow that link, you will find (evolving) errata 
which *do* apply to the latest version of the spec.

Misha

This email was sent to you by Reuters, the global news and information company. 
To find out more about Reuters visit www.about.reuters.com

Any views expressed in this message are those of the individual sender, except where the sender specifically states them to be the views of Reuters Ltd.